using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using CrystalDecisions.CrystalReports.Engine;
using CrystalDecisions.Shared;
using CrystalDecisions.Reporting.WebControls;

public partial class Reports_Default : System.Web.UI.Page
{

    ReportDocument rd = new ReportDocument();
    protected void Page_Init(object sender, EventArgs e)
    {
            this.Title = "Report Details";
            int reportNumber = int.Parse(Request.QueryString["rpt"]);

            switch (reportNumber)
            {
                case 1:
                    rd.Load(Server.MapPath("RptNonMatchRecon.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("P_CURRENT_UID", Session["uid"].ToString());
                    rd.SetParameterValue("P_RC_CODE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_RE_CODE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_From_RECON_DATE", Request.QueryString["p3"]);
                    rd.SetParameterValue("P_To_RECON_DATE", Request.QueryString["p7"]);
                    rd.SetParameterValue("p_tran_type", Request.QueryString["p4"]);
                    rd.SetParameterValue("p_channel", Request.QueryString["p5"]);
                    rd.SetParameterValue("p_event", Request.QueryString["p6"]);
                    rd.SetParameterValue("p_match_result", Request.QueryString["p8"]);
                    break;
                case 2:
                    rd.Load(Server.MapPath("RptNonMatchTran.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("P_CURRENT_UID", Session["uid"].ToString());
                    rd.SetParameterValue("P_RC_CODE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_RE_CODE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_From_RECON_DATE", Request.QueryString["p3"]);
                    rd.SetParameterValue("P_To_RECON_DATE", Request.QueryString["p7"]);
                    rd.SetParameterValue("p_tran_type", Request.QueryString["p4"]);
                    rd.SetParameterValue("p_channel", Request.QueryString["p5"]);
                    rd.SetParameterValue("p_event", Request.QueryString["p6"]);
                break;
                case 3:
                    rd.Load(Server.MapPath("RptATMSumViewer.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("P_CURRENT_UID", Session["uid"].ToString());
                    rd.SetParameterValue("p_repl_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_record_status", Request.QueryString["p2"]);
                    break;

                case 4:
                    rd.Load(Server.MapPath("RptEJLoadingSum.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_CURRENT_UID", Session["uid"].ToString());
                    rd.SetParameterValue("p_run_date", Request.QueryString["p1"]);
                    break;

                case 5:
                    rd.Load(Server.MapPath("RptClaims.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("P_CURRENT_UID", Session["uid"].ToString());
                    rd.SetParameterValue("p_atm_num", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_from_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_to_date", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_on_us", Request.QueryString["p4"]);
                    rd.SetParameterValue("p_auto_app", Request.QueryString["p5"]);
                    rd.SetParameterValue("p_app_status", Request.QueryString["p6"]);
                    rd.SetParameterValue("p_post_status", Request.QueryString["p7"]);
                    rd.SetParameterValue("p_decl_status", Request.QueryString["p8"]);
                    break;
                case 6:
                    rd.Load(Server.MapPath("RptATMnonEDC.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("P_CURRENT_UID", Session["uid"].ToString());
                    rd.SetParameterValue("p_load_date", Request.QueryString["p1"]);
                    break;
                case 7:
                    rd.Load(Server.MapPath("RptNonMatchBANCS.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("P_CURRENT_UID", Session["uid"].ToString());
                    rd.SetParameterValue("P_RC_CODE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_RE_CODE", "1");
                    rd.SetParameterValue("P_RECON_DATE", Request.QueryString["p2"]);
                    break;
                case 8:
                    rd.Load(Server.MapPath("RptCashReconDetail.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("p_tran_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_term_id", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_dest", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_record_type", Request.QueryString["p4"]);
                    break;
                case 9:
                    rd.Load(Server.MapPath("RptReplClaims.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("p_tran_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_term_id", Request.QueryString["p2"]);
                    break;
                case 10:
                    rd.Load(Server.MapPath("RptATMCashDispRecon.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("p_repl_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_current_uid", Session["uid"].ToString());
                    break;
                case 11:
                    rd.Load(Server.MapPath("RptATMCashDepositRecon.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("p_repl_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_current_uid", Session["uid"].ToString());
                    break;
                case 1111:
                    rd.Load(Server.MapPath("RptATMCashRecycleRecon.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("p_repl_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_current_uid", Session["uid"].ToString());
                    break;
                case 12:
                    rd.Load(Server.MapPath("RptOperationReport.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("p_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_job_name", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_response", Request.QueryString["p3"]);
                    break;

                case 13:
                    rd.Load(Server.MapPath("RptTerminalBalance.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("p_atm_type", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_repl_date", Request.QueryString["p2"]);
                    break;

                case 14:
                    rd.Load(Server.MapPath("RptATMPOSsettlemnt.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("p_settl_date", Request.QueryString["p1"]);
                    break;

                case 15:
                    rd.Load(Server.MapPath("RptNonMatchtranLedger.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_event", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_tran_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_tran_time", Request.QueryString["p3"]);
                    break;

                case 16:
                    rd.Load(Server.MapPath("RptCashReconExt.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Session["uid"].ToString());
                    rd.SetParameterValue("p_repl_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_record_type", Request.QueryString["p2"]);
                    break;


                case 17:
                    rd.Load(Server.MapPath("RptEventReport.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_re_code", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_recon_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_sama_settl_amt", Request.QueryString["p3"]);
                    break;

                //**************************************************************************************\\
                //**************************************************************************************\\
                //**************************************************************************************\\

                case 100:
                    rd.Load(Server.MapPath("RptPOS_ServiceSettlement.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_pts_code", Request.QueryString["p2"]);
                    break;

                case 101:
                    rd.Load(Server.MapPath("RptPOS_TerminalSettlement.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_term_id", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_time", Request.QueryString["p4"]);
                    break;

                case 102:
                    rd.Load(Server.MapPath("RptPaySlip.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("c_current_uid",Session["uid"].ToString());
                    rd.SetParameterValue("c_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("c_merchant", Request.QueryString["p1"]);
                    rd.SetParameterValue("c_claim_id", Request.QueryString["p3"]);
                    rd.SetParameterValue("c_attention", Request.QueryString["p4"]);
                    rd.SetParameterValue("c_acct_no", Request.QueryString["p5"]);
                    break;

                case 103:
                    rd.Load(Server.MapPath("RptVendorListInstall.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_report_id", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    if (Request.QueryString["p3"].Length > 0)
                        rd.SetParameterValue("p_vendor", Request.QueryString["p3"]);
                    else
                        rd.SetParameterValue("p_vendor", null);
                    break;

                case 104:
                    rd.Load(Server.MapPath("RptVendorListCancel.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_report_id", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    if (Request.QueryString["p3"].Length > 0)
                        rd.SetParameterValue("p_vendor", Request.QueryString["p3"]);
                    else
                        rd.SetParameterValue("p_vendor", null);
                    break;

                case 105:
                    rd.Load(Server.MapPath("RptPOS_HistoryGeneral.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_client_number", Request.QueryString["p1"]);
                    break;

                case 106:
                    rd.Load(Server.MapPath("RptPOS_HistoryAddress.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_ma_code", Request.QueryString["p1"]);
                    break;

                case 107:
                    rd.Load(Server.MapPath("RptPOS_HistoryServices.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_as_code", Request.QueryString["p1"]);
                    break;

                case 108:
                    rd.Load(Server.MapPath("RptPOS_HistoryTerminal.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_dvl_code", Request.QueryString["p1"]);
                    break;

                case 109:
                    rd.Load(Server.MapPath("RptPOS_HistoryAccount.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_client_no", Request.QueryString["p1"]);
                    break;


                //**************************************************************************************\\
                //**************************************************************************************\\
                //**************************************************************************************\\

                case 201:
                    rd.Load(Server.MapPath("RptPOS1.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Session["uid"].ToString());
                    rd.SetParameterValue("p_frm_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_term_id", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_to_date", Request.QueryString["p3"]);
                    break;
                case 202:
                    rd.Load(Server.MapPath("RptPOS2.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Session["uid"].ToString());
                    rd.SetParameterValue("p_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_term_id", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_time", Request.QueryString["p3"]);
                    break;
                case 203:
                    rd.Load(Server.MapPath("RptPOS3.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Session["uid"].ToString());
                    rd.SetParameterValue("p_frm_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_term_id", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_to_date", Request.QueryString["p3"]);
                    break;
                case 204:
                    rd.Load(Server.MapPath("RptPOS4.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_current_id", Session["uid"].ToString());
                    rd.SetParameterValue("p_mer_recon_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_term_id", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_mer_recon_time", Request.QueryString["p3"]);
                    break;
                //**********************************************************************************************\\
                case 205:
                    rd.Load(Server.MapPath("RptPOS_Claims.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_current_id", Session["uid"].ToString());
                    rd.SetParameterValue("p_claim_channel", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_claim_status", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_from_date", Request.QueryString["p4"]);
                    rd.SetParameterValue("p_to_date", Request.QueryString["p5"]);
                    rd.SetParameterValue("p_product", Request.QueryString["p6"]);
                    rd.SetParameterValue("P_on_of", Request.QueryString["p7"]);
                    if (Request.QueryString["p8"].Length > 0)
                        rd.SetParameterValue("p_claim_type", Request.QueryString["p8"]);
                    else
                        rd.SetParameterValue("p_claim_type", "");
                    rd.SetParameterValue("p_channel", Request.QueryString["p9"]);
                    rd.SetParameterValue("p_status", Request.QueryString["p10"]);
                    break;

                case 206:
                    rd.Load(Server.MapPath("RptPOS_SamaClaims.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_current_id", Session["uid"].ToString());
                    rd.SetParameterValue("p_event", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_sama_status", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_from_date", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_to_date", Request.QueryString["p4"]);
                    break;

                case 207:
                    rd.Load(Server.MapPath("RptPOS_DailyProc.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_ch_type", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_proc_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_user_id", Request.QueryString["p3"]);

                    break;

                case 208:
                    rd.Load(Server.MapPath("RptPOS_Merchants.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_from_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_to_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_mer_reg_status", Request.QueryString["p3"]);
                    break;

                case 209:
                    rd.Load(Server.MapPath("RptPOS_Terminals.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_from_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_to_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_status", Request.QueryString["p3"]);
                    break;

                case 210:
                    rd.Load(Server.MapPath("RptPOS_TerminalsHistory.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_term_id", Request.QueryString["p1"]);
                    if (Request.QueryString["p2"].Length > 0)
                        rd.SetParameterValue("p_client_no", Request.QueryString["p2"]);
                    else
                        rd.SetParameterValue("p_client_no", null);
                    rd.SetParameterValue("p_from_date", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_to_date", Request.QueryString["p4"]);
                    break;

                case 211:
                    rd.Load(Server.MapPath("RptPOS_SPAN_Settle.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_re_code", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_settle_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_fin_flg", Request.QueryString["p3"]);
                    break;

                case 212:
                    rd.Load(Server.MapPath("RptPOS_Term_Settl_Status.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    if (Request.QueryString["p1"].Length > 0)
                        rd.SetParameterValue("p_client_no", Request.QueryString["p1"]);
                    else
                        rd.SetParameterValue("p_client_no", null);
                    rd.SetParameterValue("p_settle_date", Request.QueryString["p2"]);
                    break;

                case 213:
                    rd.Load(Server.MapPath("RptPOS_SamaPendingMerchants.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    if (Request.QueryString["p1"].Length > 0)
                        rd.SetParameterValue("p_client_no", Request.QueryString["p1"]);
                    else
                        rd.SetParameterValue("p_client_no", null);
                    if (Request.QueryString["p2"].Length > 0)
                        rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    else
                        rd.SetParameterValue("p_date", null);

                    break;

                case 214:
                    rd.Load(Server.MapPath("RptPOS_PostedClaimGLs.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_acct_no", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_from_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_to_date", Request.QueryString["p3"]);
                    break;
                case 215:
                    rd.Load(Server.MapPath("RptPOS_SettlementGLS.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_client_num", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p1"]);
                    break;
                case 216:
                    rd.Load(Server.MapPath("Rptproducitivityreport.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_user_id", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_from_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_to_date", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_from_time", Request.QueryString["p4"]);
                    rd.SetParameterValue("p_to_time", Request.QueryString["p5"]);
                    break;
                case 217:
                    rd.Load(Server.MapPath("RptPOSModified Merchant.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    if (Request.QueryString["p1"].Length > 0)
                        rd.SetParameterValue("p_client_no", Request.QueryString["p1"]);
                    else
                        rd.SetParameterValue("p_client_no", null);
                    if (Request.QueryString["p2"].Length > 0)
                        rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    else
                        rd.SetParameterValue("p_date", null);

                    break;

                case 218:
                    rd.Load(Server.MapPath("RptPOS_RentalFees.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    break;
                //irfan_mod 170220 Begins
                case 219: 
                  //  rd.Load(Server.MapPath("RptPOS_CPSClaims.rpt"));
                    rd.Load(Server.MapPath("RptPOS_CPSClaims_CR.rpt"));
                   rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_FromData", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_ToDate", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_product", Request.QueryString["p3"]);

                    if (Request.QueryString["p4"] != "")
                        rd.SetParameterValue("p_type", Request.QueryString["p4"]);
                    else
                        rd.SetParameterValue("p_type", null);
                  
                   
                    break;

                case 220:
                    rd.Load(Server.MapPath("RptPOS_CPSClaimsR_CR.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                       rd.SetParameterValue("p_FromData", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_ToDate", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_product", Request.QueryString["p3"]);

                    if (Request.QueryString["p4"] != "")
                        rd.SetParameterValue("p_type", Request.QueryString["p4"]);
                    else
                        rd.SetParameterValue("p_type", null);
                  

                    break;
                case 221:
                    rd.Load(Server.MapPath("RptPOS_CPSClaimsPending_CR.rpt"));
                       rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_FromData", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_ToDate", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_product", Request.QueryString["p3"]);
                    if (Request.QueryString["p4"] != "")
                        rd.SetParameterValue("p_type", Request.QueryString["p4"]);
                    else
                        rd.SetParameterValue("p_type", null);
                  
                    break;
                //irfan_mod 170220 Ends    


                //By Ibrahim Al-Ashqar

                case 222:
                    rd.Load(Server.MapPath("RptDailySettl.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_settl_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p2"]);
                    break;

                case 223:
                    rd.Load(Server.MapPath("AtmJard.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_JARD_ID", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_JARD_ID", Request.QueryString["p1"], "CapturedReports.rpt");
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p2"]);
                    break;

                case 1041:
                    rd.Load(Server.MapPath("ContraMatchedTrans.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_CHANNEL", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_EVENT", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_TRAN_DATE", Request.QueryString["p3"]);
                    rd.SetParameterValue("P_UID", Request.QueryString["p4"]);
                    break;

                case 10430:
                    rd.Load(Server.MapPath("ReconSummary_General.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_channel_id", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_event_id", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p4"]);
                    break;

                case 10431:
                    rd.Load(Server.MapPath("ReconSummary_Finacle.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_channel_id", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_event_id", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p4"]);
                    break;

               

                case 10432:
                    rd.Load(Server.MapPath("ReconSummary_AMEX.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_channel_id", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_event_id", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p4"]);
                    break;

                case 10433:
                    rd.Load(Server.MapPath("ReconSummary_MDS.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_channel_id", Request.QueryString["p1"]);
                    //rd.SetParameterValue("p_event_id", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p4"]);
                    break;

                case 1044:
                    rd.Load(Server.MapPath("SamaCoreBankingSettl.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_tran_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_from_time", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_to_time", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_event_id", Request.QueryString["p4"]);
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p5"]);
                    break;

                case 1045:
                    rd.Load(Server.MapPath("Claims_NoAction_ATM.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_FROM_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_TO_DATE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_PRODUCT", "1");
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p3"]);
                    break;

                case 1046:
                    rd.Load(Server.MapPath("Claims_NoAction_POS.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_FROM_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_TO_DATE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_PRODUCT", "2");
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p3"]);
                    break;

                case 1047:
                    rd.Load(Server.MapPath("Claims_DebitedToAccount_ATM.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_ACCOUNT_NO", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_FROM_DATE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_TO_DATE", Request.QueryString["p3"]);
                    rd.SetParameterValue("P_PRODUCT", "1");
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p4"]);
                    break;

                case 1048:
                    rd.Load(Server.MapPath("Claims_DebitedToAccount_POS.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_ACCOUNT_NO", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_FROM_DATE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_TO_DATE", Request.QueryString["p3"]);
                    rd.SetParameterValue("P_PRODUCT", "2");
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p4"]);
                    break;



                //IJR 22-02-2012 Add the report for POS Transactions Search

                case 500:
                    rd.Load(Server.MapPath("RptPOSTranSearch.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("p_term_id", Request.QueryString["terminal"]);
                    rd.SetParameterValue("p_card_no", Request.QueryString["card"]);
                    rd.SetParameterValue("p_rrn", Request.QueryString["rrn"]);
                    rd.SetParameterValue("p_rc_code", Request.QueryString["chan"]);
                    rd.SetParameterValue("p_srv_code", Request.QueryString["serv"]);
                    rd.SetParameterValue("p_fin_flg", Request.QueryString["finflag"]);
                    rd.SetParameterValue("p_tran_date_from", Request.QueryString["dateF"]);
                    rd.SetParameterValue("p_tran_date_to", Request.QueryString["dateT"]);
                    rd.SetParameterValue("p_tran_time_from", Request.QueryString["timeF"]);
                    rd.SetParameterValue("p_tran_time_to", Request.QueryString["timeT"]);
                    rd.SetParameterValue("p_ch_b24", Request.QueryString["chb24"]);
                    rd.SetParameterValue("p_current_uid", Request.QueryString["uid"]);
                    rd.SetParameterValue("p_from_period_date", Request.QueryString["perFdate"]);
                    rd.SetParameterValue("p_to_period_date", Request.QueryString["perTdate"]);
                    rd.SetParameterValue("p_from_period_time", Request.QueryString["perFtime"]);
                    rd.SetParameterValue("p_to_period_time", Request.QueryString["perTtime"]);
                    rd.SetParameterValue("p_service_name", Request.QueryString["servname"]);
                    rd.SetParameterValue("p_type_name", Request.QueryString["typename"]);
                    break;


                case 501:
                    rd.Load(Server.MapPath("POSDailyTranasctionsReport.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p3"]);
                    rd.SetParameterValue("P_SRV_CODE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_SETTL_DATE", Request.QueryString["p1"]);
                    break;


                case 503:
                    rd.Load(Server.MapPath("GL_POSTING_DETAILS.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_CHANNEL_TYPE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_DATE", Request.QueryString["p1"], "sub_GL_Transactions_details");
                    rd.SetParameterValue("P_CHANNEL_TYPE", Request.QueryString["p2"], "sub_GL_Transactions_details");
                    break;



                case 504:
                    rd.Load(Server.MapPath("Deposit_W3_Statuses.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_STATUS_DATE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_ATM_ID", Request.QueryString["p3"]);
                    break;

                case 505:
                    rd.Load(Server.MapPath("Deposit_RETRACT_Statuses.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_STATUS_DATE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_ATM_ID", Request.QueryString["p3"]);
                    break;



                case 506: //ATM
                    rd.Load(Server.MapPath("Claims_Search_ATM.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("c_current_uid", Request.QueryString["c_current_uid"]);
                    rd.SetParameterValue("c_claim_id", Request.QueryString["c_claim_id"]);
                    rd.SetParameterValue("c_card_number", Request.QueryString["c_card_number"]);
                    rd.SetParameterValue("c_rrn", Request.QueryString["c_rrn"]);
                    rd.SetParameterValue("c_tran_date", Request.QueryString["c_tran_date"]);
                    rd.SetParameterValue("c_product", Request.QueryString["c_product"]);
                    rd.SetParameterValue("c_client_number", Request.QueryString["c_client_number"]);
                    rd.SetParameterValue("c_retailer_id", Request.QueryString["c_retailer_id"]);
                    rd.SetParameterValue("c_term_id", Request.QueryString["c_term_id"]);
                    rd.SetParameterValue("c_claim_status", Request.QueryString["c_claim_status"]);
                    rd.SetParameterValue("p_atm_num", Request.QueryString["p_atm_num"]);
                    rd.SetParameterValue("p_onus", Request.QueryString["p_onus"]);
                    rd.SetParameterValue("p_mer_ch", Request.QueryString["p_mer_ch"]);
                    rd.SetParameterValue("p_org_claim_id", Request.QueryString["p_org_claim_id"]);
                    rd.SetParameterValue("p_EventId", Request.QueryString["p_EventId"]);
                    rd.SetParameterValue("p_claim_action_status", Request.QueryString["p_claim_action_status"]);
                    rd.SetParameterValue("p_atmType", Request.QueryString["p_atmType"]);
                    rd.SetParameterValue("p_sama_from_date", Request.QueryString["p_sama_from_date"]);
                    rd.SetParameterValue("p_sama_to_date", Request.QueryString["p_sama_to_date"]);
                    rd.SetParameterValue("p_sama_claim_type", Request.QueryString["p_sama_claim_type"]);
                    rd.SetParameterValue("p_page_size", Request.QueryString["p_page_size"]);
                    rd.SetParameterValue("p_page_num", Request.QueryString["p_page_num"]);
                    rd.SetParameterValue("p_lang", Request.QueryString["p_lang"]);
                    break;

                case 507://POS
                    rd.Load(Server.MapPath("Claims_Search_POS.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("c_current_uid", Request.QueryString["c_current_uid"]);
                    rd.SetParameterValue("c_claim_id", Request.QueryString["c_claim_id"]);
                    rd.SetParameterValue("c_card_number", Request.QueryString["c_card_number"]);
                    rd.SetParameterValue("c_rrn", Request.QueryString["c_rrn"]);
                    rd.SetParameterValue("c_tran_date", Request.QueryString["c_tran_date"]);
                    rd.SetParameterValue("c_product", Request.QueryString["c_product"]);
                    rd.SetParameterValue("c_client_number", Request.QueryString["c_client_number"]);
                    rd.SetParameterValue("c_retailer_id", Request.QueryString["c_retailer_id"]);
                    rd.SetParameterValue("c_term_id", Request.QueryString["c_term_id"]);
                    rd.SetParameterValue("c_claim_status", Request.QueryString["c_claim_status"]);
                    rd.SetParameterValue("p_atm_num", Request.QueryString["p_atm_num"]);
                    rd.SetParameterValue("p_onus", Request.QueryString["p_onus"]);
                    rd.SetParameterValue("p_mer_ch", Request.QueryString["p_mer_ch"]);
                    rd.SetParameterValue("p_org_claim_id", Request.QueryString["p_org_claim_id"]);
                    rd.SetParameterValue("p_EventId", Request.QueryString["p_EventId"]);
                    rd.SetParameterValue("p_claim_action_status", Request.QueryString["p_claim_action_status"]);
                    rd.SetParameterValue("p_atmType", Request.QueryString["p_atmType"]);
                    rd.SetParameterValue("p_sama_from_date", Request.QueryString["p_sama_from_date"]);
                    rd.SetParameterValue("p_sama_to_date", Request.QueryString["p_sama_to_date"]);
                    rd.SetParameterValue("p_sama_claim_type", Request.QueryString["p_sama_claim_type"]);
                    rd.SetParameterValue("p_page_size", Request.QueryString["p_page_size"]);
                    rd.SetParameterValue("p_page_num", Request.QueryString["p_page_num"]);
                    rd.SetParameterValue("p_lang", Request.QueryString["p_lang"]);
                    break;

                case 508:
                    rd.Load(Server.MapPath("Claims_By_status_report.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_FROM_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_TO_DATE", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_status", Request.QueryString["p3"]);
                    rd.SetParameterValue("p_type", Request.QueryString["p4"]);
                    break;


                //01-07-2012 --> IHJ , Add the Pool Account report for ATM
                case 509:
                    rd.Load(Server.MapPath("Pool_Account_Proof_Report.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    //for (int i = 0; i < rd.DataSourceConnections.Count; i++)
                    //{
                    //    NameValuePairs2 lp = rd.DataSourceConnections[i].LogonProperties;
                    //    lp.Set("Connection Timeout", 1);
                    //    rd.DataSourceConnections[i].SetLogonProperties(lp);
                    //}



                    rd.SetParameterValue("P_FINACLE_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_SETTL_DATE", Request.QueryString["p1"]);

                    rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"]);

                    rd.SetParameterValue("formatedValueDate", Request.QueryString["p3"]);
                    rd.SetParameterValue("formatedSamaDate", Request.QueryString["p4"]);

                    rd.SetParameterValue("P_ISS_SETTL_DATE", Request.QueryString["p1"], "claims_summary");
                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p2"], "claims_summary");

                    rd.SetParameterValue("P_ISS_SETTL_DATE", Request.QueryString["p1"], "claims_net_amount");
                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p2"], "claims_net_amount");

                    rd.SetParameterValue("P_ISS_SETTL_DATE", Request.QueryString["p1"], "list_of_claims");
                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p2"], "list_of_claims");

                    rd.SetParameterValue("P_FINACLE_DATE", Request.QueryString["p1"], "FINACLE_UNMATCHED_TRANSACTIONS");
                    rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p2"], "FINACLE_UNMATCHED_TRANSACTIONS");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "area_3_amounts");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "area_3_amounts");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "area_3_amounts1");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "area_3_amounts1");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "area_2_amounts");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "area_2_amounts");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "area_1_amounts");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "area_1_amounts");

                    rd.SetParameterValue("P_FINACLE_DATE", Request.QueryString["p1"], "finacle_amounts_details");
                    rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p2"], "finacle_amounts_details");

                    rd.SetParameterValue("P_ISS_SETTL_DATE", Request.QueryString["p1"], "CLAIMS_AMOUNTS");
                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p2"], "CLAIMS_AMOUNTS");
                    break;

                //01-07-2012 --> IHJ , Add the Pool Account report for ATM
                case 510:
                    rd.Load(Server.MapPath("Pool_Account_Proof_POS.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_FINACLE_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_SETTL_DATE", Request.QueryString["p1"]);

                    rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"]);

                    rd.SetParameterValue("formatedValueDate", Request.QueryString["p3"]);
                    rd.SetParameterValue("formatedSamaDate", Request.QueryString["p4"]);

                    rd.SetParameterValue("P_ISS_SETTL_DATE", Request.QueryString["p1"], "claims_summary");
                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p2"], "claims_summary");

                    rd.SetParameterValue("P_ISS_SETTL_DATE", Request.QueryString["p1"], "claims_net_amount");
                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p2"], "claims_net_amount");

                    rd.SetParameterValue("P_ISS_SETTL_DATE", Request.QueryString["p1"], "list_of_claims");
                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p2"], "list_of_claims");

                    rd.SetParameterValue("P_FINACLE_DATE", Request.QueryString["p1"], "FINACLE_UNMATCHED_TRANSACTIONS");
                    rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p2"], "FINACLE_UNMATCHED_TRANSACTIONS");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "area_3_amounts");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "area_3_amounts");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "area_2_amounts");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "area_2_amounts");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "area_1_amounts");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "area_1_amounts");

                    rd.SetParameterValue("P_FINACLE_DATE", Request.QueryString["p1"], "finacle_amounts_details");
                    rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p2"], "finacle_amounts_details");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "AFTER_AMOUNTS");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "AFTER_AMOUNTS");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "POS_AREA_1_Duplicate");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "POS_AREA_1_Duplicate");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "POS_AREA_2_Duplicate");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "POS_AREA_2_Duplicate");

                    /*   rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "POS_AREA_3_DUPLICATE");
                       rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "POS_AREA_3_DUPLICATE");*/

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "Before_Amounts");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "Before_Amounts");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "Duplicate_Amounts");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "Duplicate_Amounts");

                    rd.SetParameterValue("P_SETTL_DATE", Request.QueryString["p1"], "SAMA_AMOUNTS");
                    rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p2"], "SAMA_AMOUNTS");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "NET_AMOUNT_1");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "NET_AMOUNT_1");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "DiffSAMA");
                    rd.SetParameterValue("P_SETTL_DATE", Request.QueryString["p1"], "DiffSAMA");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "DiffSAMA");

                    rd.SetParameterValue("P_FINACLE_DATE", Request.QueryString["p1"], "FinacleAmountsPOS");
                    rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p2"], "FinacleAmountsPOS");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "AREA_1_NET_AMOUNT");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "AREA_1_NET_AMOUNT");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "AREA_2_NET_AMOUNT");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "AREA_2_NET_AMOUNT");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "AREA_3_NET_AMOUNT");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "AREA_3_NET_AMOUNT");

                    rd.SetParameterValue("P_ISS_SETTL_DATE", Request.QueryString["p1"], "CLAIMS_AMOUNTS");
                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p2"], "CLAIMS_AMOUNTS");

                    break;

                case 511:
                    rd.Load(Server.MapPath("Pool_Account_Proof_Report.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_FINACLE_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_SETTL_DATE", Request.QueryString["p1"]);

                    rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"]);

                    rd.SetParameterValue("formatedValueDate", Request.QueryString["p3"]);
                    rd.SetParameterValue("formatedSamaDate", Request.QueryString["p4"]);

                    rd.SetParameterValue("P_ISS_SETTL_DATE", Request.QueryString["p1"], "claims_summary");
                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p2"], "claims_summary");

                    rd.SetParameterValue("P_ISS_SETTL_DATE", Request.QueryString["p1"], "claims_net_amount");
                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p2"], "claims_net_amount");

                    rd.SetParameterValue("P_ISS_SETTL_DATE", Request.QueryString["p1"], "list_of_claims");
                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p2"], "list_of_claims");

                    rd.SetParameterValue("P_FINACLE_DATE", Request.QueryString["p1"], "FINACLE_UNMATCHED_TRANSACTIONS");
                    rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p2"], "FINACLE_UNMATCHED_TRANSACTIONS");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "area_3_amounts1");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "area_3_amounts1");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "area_3_amounts");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "area_3_amounts");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "area_2_amounts");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "area_2_amounts");

                    rd.SetParameterValue("P_VALUE_DATE", Request.QueryString["p1"], "area_1_amounts");
                    rd.SetParameterValue("P_EVENT_TYPE", Request.QueryString["p2"], "area_1_amounts");

                    rd.SetParameterValue("P_FINACLE_DATE", Request.QueryString["p1"], "finacle_amounts_details");
                    rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p2"], "finacle_amounts_details");

                    rd.SetParameterValue("P_ISS_SETTL_DATE", Request.QueryString["p1"], "CLAIMS_AMOUNTS");
                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p2"], "CLAIMS_AMOUNTS");

                    break;


                case 512:

                    string reportType = Request.QueryString["p6"];

                    switch (reportType)
                    {
                        case "1":
                            rd.Load(Server.MapPath("Pool_Account_Proof_ATM_Claims.rpt"));
                            rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"]);
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"]);
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"]);

                            rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p3"]);

                            rd.SetParameterValue("formatedFromDate", Request.QueryString["p4"]);
                            rd.SetParameterValue("formatedToDate", Request.QueryString["p5"]);

                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"], "claims_summary");
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"], "claims_summary");
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"], "claims_summary");

                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"], "claims_net_amount");
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"], "claims_net_amount");
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"], "claims_net_amount");
                            break;
                        case "2":
                            rd.Load(Server.MapPath("Pool_Account_Proof_ATM_Claims_Details.rpt"));
                            rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"]);
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"]);
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"]);

                            rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p3"]);

                            rd.SetParameterValue("formatedFromDate", Request.QueryString["p4"]);
                            rd.SetParameterValue("formatedToDate", Request.QueryString["p5"]);

                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"], "ClaimPosting");
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"], "ClaimPosting");
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"], "ClaimPosting");

                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"], "list_of_claims");
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"], "list_of_claims");
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"], "list_of_claims");
                            break;
                        case "3":
                            rd.Load(Server.MapPath("Pool_Account_Proof_ATM_UnmatchDetails.rpt"));
                            rd = UpdConnectionInfo(rd);
                            rd.Refresh();

                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"]);
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"]);
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"]);

                            rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p3"]);

                            rd.SetParameterValue("formatedFromDate", Request.QueryString["p4"]);
                            rd.SetParameterValue("formatedToDate", Request.QueryString["p5"]);

                            rd.SetParameterValue("P_FINACLE_DATE_FROM", Request.QueryString["p1"], "UnmatchedPosting");
                            rd.SetParameterValue("P_FINACLE_DATE_TO", Request.QueryString["p2"], "UnmatchedPosting");
                            rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p3"], "UnmatchedPosting");

                            rd.SetParameterValue("P_FINACLE_DATE_FROM", Request.QueryString["p1"], "FINACLE_UNMATCH");
                            rd.SetParameterValue("P_FINACLE_DATE_TO", Request.QueryString["p2"], "FINACLE_UNMATCH");
                            rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p3"], "FINACLE_UNMATCH");
                            break;
                    }



                    /*
               

                                    rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"], "ClaimsStatus");
                                    rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"], "ClaimsStatus");
                                    rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"], "ClaimsStatus");

                

                                    rd.SetParameterValue("P_FINACLE_DATE_FROM", Request.QueryString["p1"], "UnMatchStatus");
                                    rd.SetParameterValue("P_FINACLE_DATE_TO", Request.QueryString["p2"], "UnMatchStatus");
                                    rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p3"], "UnMatchStatus");

                

                                   */


                    break;


                case 513:


                    string reportType_POS = Request.QueryString["p6"];

                    switch (reportType_POS)
                    {
                        case "1":
                            rd.Load(Server.MapPath("Pool_Account_Proof_POS_Claims.rpt"));
                            rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"]);
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"]);
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"]);
                            rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p3"]);
                            rd.SetParameterValue("formatedFromDate", Request.QueryString["p4"]);
                            rd.SetParameterValue("formatedToDate", Request.QueryString["p5"]);
                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"], "claims_summary");
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"], "claims_summary");
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"], "claims_summary");
                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"], "claims_net_amount");
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"], "claims_net_amount");
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"], "claims_net_amount");
                            break;

                        case "2":
                            rd.Load(Server.MapPath("Pool_Account_Proof_ATM_Claims_Details.rpt"));
                            rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"]);
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"]);
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"]);
                            rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p3"]);
                            rd.SetParameterValue("formatedFromDate", Request.QueryString["p4"]);
                            rd.SetParameterValue("formatedToDate", Request.QueryString["p5"]);
                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"], "ClaimPosting");
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"], "ClaimPosting");
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"], "ClaimPosting");
                            /*rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"], "ClaimsStatus");
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"], "ClaimsStatus");
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"], "ClaimsStatus");*/
                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"], "list_of_claims");
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"], "list_of_claims");
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"], "list_of_claims");
                            break;

                        case "3":
                            rd.Load(Server.MapPath("Pool_Account_Proof_POS_UnmatchDetails.rpt"));
                            rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_ISS_SETTL_DATE_FROM", Request.QueryString["p1"]);
                            rd.SetParameterValue("P_ISS_SETTL_DATE_TO", Request.QueryString["p2"]);
                            rd.SetParameterValue("P_EVENT_CODE", Request.QueryString["p3"]);
                            rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p3"]);
                            rd.SetParameterValue("formatedFromDate", Request.QueryString["p4"]);
                            rd.SetParameterValue("formatedToDate", Request.QueryString["p5"]);
                            rd.SetParameterValue("P_FINACLE_DATE_FROM", Request.QueryString["p1"], "UnmatchedPosting");
                            rd.SetParameterValue("P_FINACLE_DATE_TO", Request.QueryString["p2"], "UnmatchedPosting");
                            rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p3"], "UnmatchedPosting");

                            /* rd.SetParameterValue("P_FINACLE_DATE_FROM", Request.QueryString["p1"], "UnMatchStatus");
                             rd.SetParameterValue("P_FINACLE_DATE_TO", Request.QueryString["p2"], "UnMatchStatus");
                             rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p3"], "UnMatchStatus");*/

                            rd.SetParameterValue("P_FINACLE_DATE_FROM", Request.QueryString["p1"], "Period_Unmatch");
                            rd.SetParameterValue("P_FINACLE_DATE_TO", Request.QueryString["p2"], "Period_Unmatch");
                            rd.SetParameterValue("P_EVENT_ID", Request.QueryString["p3"], "Period_Unmatch");


                            break;
                    }
                    break;

                case 1049:
                    rd.Load(Server.MapPath("Group_Details_Report.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_GID", Request.QueryString["p2"]);

                    rd.SetParameterValue("P_GROUP_ID", Request.QueryString["p2"], "subReport_PermittedFunctions");
                    rd.SetParameterValue("P_CURRENT_USER_ID", Request.QueryString["p1"], "subReport_PermittedFunctions");

                    rd.SetParameterValue("P_GROUP_ID", Request.QueryString["p2"], "subReport_permittedReports");
                    rd.SetParameterValue("P_CURRENT_USER_ID", Request.QueryString["p1"], "subReport_permittedReports");

                    rd.SetParameterValue("P_GID", Request.QueryString["p2"], "subReport_AssignedUsers");
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p1"], "subReport_AssignedUsers");
                    break;

                case 1050:
                    rd.Load(Server.MapPath("User_Activities_Report.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("P_USER_ID", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_FROM_DATE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_TO_DATE", Request.QueryString["p3"]);
                    break;


                case 1052:
                    rd.Load(Server.MapPath("Group_Activity_Report.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("P_CURRENT_USER_ID", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_GROUP_ID", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_GROUP_NAME", Request.QueryString["p3"]);
                    break;

                case 1051:
                    string p2, p3, p4;

                    p2 = Request.QueryString["p2"];
                    p3 = Request.QueryString["p3"];
                    p4 = Request.QueryString["p4"];

                    rd.Load(Server.MapPath("User_Violations_Report.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p1"]);

                    if (p2.Equals("null"))
                    {
                        rd.SetParameterValue("P_USER_ID", null);
                    }
                    else
                    {
                        rd.SetParameterValue("P_USER_ID", p2);
                    }

                    if (p3.Equals("null"))
                    {
                        rd.SetParameterValue("P_FROM_DATE", null);
                    }
                    else
                    {
                        rd.SetParameterValue("P_FROM_DATE", p3);
                    }

                    if (p4.Equals("null"))
                    {
                        rd.SetParameterValue("P_TO_DATE", null);
                    }
                    else
                    {
                        rd.SetParameterValue("P_TO_DATE", p4);
                    }
                    break;

                case 1053:
                    rd.Load(Server.MapPath("RptDailySettleSummary.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("P_SETTL_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p2"]);

                    break;
                case 1054:
                    rd.Load(Server.MapPath("UnMatchTermRecon.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_term_id", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_CURRENT_UID", Request.QueryString["p3"]);

                    break;
                case 1055:
                    rd.Load(Server.MapPath("RptEJMissing.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_CURRENT_USER_ID", Request.QueryString["p2"]);

                    break;
                 case 1056:
                    rd.Load(Server.MapPath("RptSamaBankLoadStatus.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_date", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_CURRENT_USER_ID", Request.QueryString["p2"]);
                    break;

                 case 1057: // Claim

                   // rd.Load(Server.MapPath("RptGLPostingError.rpt"));

                    rd.Load(Server.MapPath("RptGLPostingDetails.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_date_to", Request.QueryString["p3"]);
                    break;

                 case 10571:// Replenishment

                    // rd.Load(Server.MapPath("RptGLPostingError.rpt"));

                    rd.Load(Server.MapPath("RptGLPostingDetailsRepl.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_date_to", Request.QueryString["p3"]);
                    break;

                 case 1058:

                    rd.Load(Server.MapPath("RptDailyClaimsAdvancePayment.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    break;

                 case 1059:

                    rd.Load(Server.MapPath("RptDailyClaimsReport.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    break;

                 case 1060:

                    rd.Load(Server.MapPath("RptDailySchemewise.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    break;

                 case 1061:

                    rd.Load(Server.MapPath("RptDailyATMReplenishment.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);

                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"], "Equation");
                    rd.SetParameterValue("p_date", Request.QueryString["p2"], "Equation");

                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"], "Not_In_Equation");
                    rd.SetParameterValue("p_date", Request.QueryString["p2"], "Not_In_Equation");

                    break;

                 case 1062:

                    rd.Load(Server.MapPath("RptDailySettlement.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_settl_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_channel", Request.QueryString["p3"]);
                    break;

                 case 1064:

                    rd.Load(Server.MapPath("RptMasterCardMDSRecon.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    break;

                /*case 1065:
                    rd.Load(Server.MapPath(".rpt"));
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    break;
                case 1066:
                    rd.Load(Server.MapPath(".rpt"));
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    break;
                case 1067:
                    rd.Load(Server.MapPath(".rpt"));
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    break;*/
                case 1068:
                    rd.Load(Server.MapPath("RptATMRecon.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_current_user_id", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_date", Request.QueryString["p2"]);
                    break;
                case 1069:
                    rd.Load(Server.MapPath("RptFalseReversal.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    rd.SetParameterValue("p_from_date", Request.QueryString["p2"]);
                    rd.SetParameterValue("p_to_date", Request.QueryString["p3"]);
                    break;
                case 1070:
                    rd.Load(Server.MapPath("RptTLFBtalSummary.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                    rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                    //rd.SetParameterValue("p_uid", Request.QueryString["p1"]);
                            rd.SetParameterValue("p_from_date", Request.QueryString["p2"]);
                            rd.SetParameterValue("p_to_date", Request.QueryString["p3"]);
                            rd.SetParameterValue("p_type", Request.QueryString["p4"]);

                            rd.SetParameterValue("p_current_uid", Request.QueryString["p1"], "REPORT_ACQ_BTL_SUMMARY");
                            rd.SetParameterValue("p_from_date", Request.QueryString["p2"], "REPORT_ACQ_BTL_SUMMARY");
                            rd.SetParameterValue("p_to_date", Request.QueryString["p3"], "REPORT_ACQ_BTL_SUMMARY");
                            rd.SetParameterValue("p_type", Request.QueryString["p4"], "REPORT_ACQ_BTL_SUMMARY");

                            rd.SetParameterValue("p_current_uid", Request.QueryString["p1"], "REPORT_ACQ_TLF_SUMMARY");
                            rd.SetParameterValue("p_from_date", Request.QueryString["p2"], "REPORT_ACQ_TLF_SUMMARY");
                            rd.SetParameterValue("p_to_date", Request.QueryString["p3"], "REPORT_ACQ_TLF_SUMMARY");
                            rd.SetParameterValue("p_type", Request.QueryString["p4"], "REPORT_ACQ_TLF_SUMMARY");

                            rd.SetParameterValue("p_current_uid", Request.QueryString["p1"], "REPORT_ISS_BTL_SUMMARY");
                            rd.SetParameterValue("p_from_date", Request.QueryString["p2"], "REPORT_ISS_BTL_SUMMARY");
                            rd.SetParameterValue("p_to_date", Request.QueryString["p3"], "REPORT_ISS_BTL_SUMMARY");
                            rd.SetParameterValue("p_type", Request.QueryString["p4"], "REPORT_ISS_BTL_SUMMARY");

                            rd.SetParameterValue("p_current_uid", Request.QueryString["p1"], "REPORT_ISS_TLF_SUMMARY");
                            rd.SetParameterValue("p_from_date", Request.QueryString["p2"], "REPORT_ISS_TLF_SUMMARY");
                            rd.SetParameterValue("p_to_date", Request.QueryString["p3"], "REPORT_ISS_TLF_SUMMARY");
                            rd.SetParameterValue("p_type", Request.QueryString["p4"], "REPORT_ISS_TLF_SUMMARY");
                            

                            break;
                case 1071:
                            rd.Load(Server.MapPath("RptTlfBtalDetails.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                            //rd.SetParameterValue("p_uid", Request.QueryString["p1"]);
                            rd.SetParameterValue("p_from_date", Request.QueryString["p2"]);
                            rd.SetParameterValue("p_to_date", Request.QueryString["p3"]);        
                            rd.SetParameterValue("p_type", Request.QueryString["p4"]);
                            break;
                case 1072:
                            rd.Load(Server.MapPath("RptReplMissing.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);                            
                            rd.SetParameterValue("p_repl_from_date", Request.QueryString["p2"]);
                            rd.SetParameterValue("p_repl_to_date", Request.QueryString["p3"]);     
                            break;
                case 8100:
                            rd.Load(Server.MapPath("TransactionDetailsRpt.rpt"));
                            rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("p_current_uid", Request.QueryString["p1"]);
                            rd.SetParameterValue("P_FLAG", Request.QueryString["p2"]);
                            rd.SetParameterValue("P_ReCode", Request.QueryString["p3"]);  
                            rd.SetParameterValue("P_CardNo", Request.QueryString["p4"]);
                            rd.SetParameterValue("P_TerminalID", Request.QueryString["p5"]); 
                            rd.SetParameterValue("P_RRN", Request.QueryString["p6"]);
                            rd.SetParameterValue("P_FromDate", Request.QueryString["p7"]); 
                            rd.SetParameterValue("P_ToDate", Request.QueryString["p8"]);
                         
                            break;
                case 1001:
                            rd.Load(Server.MapPath("VISA_Settlement.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                            rd.SetParameterValue("P_PRODUCT", Request.QueryString["p2"]);
                            rd.SetParameterValue("P_CURR", Request.QueryString["p3"]);

                            break;
                case 10011:
                            rd.Load(Server.MapPath("CS_Settlement.rpt"));
                            rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                            rd.SetParameterValue("P_PRODUCT", Request.QueryString["p2"]);
                            rd.SetParameterValue("P_CURR", Request.QueryString["p3"]);
                            rd.SetParameterValue("P_RC_CODE", Request.QueryString["p4"]);
                            rd.SetParameterValue("P_CHANNEL_NAME", Request.QueryString["p5"]);
                            break;
                case 10012:
                            rd.Load(Server.MapPath("CS_Settlement_Fees.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                            rd.SetParameterValue("P_PRODUCT", Request.QueryString["p2"]);
                            rd.SetParameterValue("P_CURR", Request.QueryString["p3"]);

                            rd.SetParameterValue("P_RC_CODE", Request.QueryString["p4"]);
                            rd.SetParameterValue("P_CHANNEL_NAME", Request.QueryString["p5"]);
                            break;
                 
                case 1002:
                            rd.Load(Server.MapPath("SPAN_Settlement.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                            break;
                case 1003:
                            rd.Load(Server.MapPath("VISA_Settlement_Summary.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                            break;

                case 1004:
                            rd.Load(Server.MapPath("MADAClaims.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);

                           // string date_plus1 = DateTime.ParseExact(this.Request.QueryString["p1"], "yyMMdd", null).AddDays(1).ToString("yyMMdd");
                            rd.SetParameterValue("P_DATE_1", Request.QueryString["p2"]);
                    
                            break;
                case 950:
                            //Failure Coin Deposit Transaction
                            rd.Load(Server.MapPath("RptDepTxnExe.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_USERNAME", Request.QueryString["p1"]);
                            break;
                case 9000:
                            //Failure Coin Deposit Transaction
                            rd.Load(Server.MapPath("RptCSSSettlement_GLPosting.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("UserID", Session["uid"].ToString());
                            rd.SetParameterValue("Channel", Request.QueryString["p1"]);
                            rd.SetParameterValue("DateRange", Request.QueryString["p2"]);
                            rd.SetParameterValue("Product", Request.QueryString["p3"]);
                            break;
                case 9001:
                            rd.Load(Server.MapPath("GCC_Settlement.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                            break;
                case 9002:
                            rd.Load(Server.MapPath("GCC_Settlement_POS.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                            break;
                case 1005:
                            rd.Load(Server.MapPath("MADA_MonthlySettlement.rpt"));
                    rd = UpdConnectionInfo(rd);
                            rd.Refresh();
                            rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                            break;

                //// Summary Report for CS Billing for all Card Types
                //case 1006:
                //            rd.Load(Server.MapPath("CS_CTSummary.rpt"));
                //    rd = UpdConnectionInfo(rd);
                //            rd.Refresh();
                //            rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                //            rd.SetParameterValue("P_FILE_NUMBER", Request.QueryString["p2"]);
                //            rd.SetParameterValue("P_CARD_TYPE", Request.QueryString["p3"]);
                //            break;

                // Summary Report for MC Bill
                case 1007:
                        rd.Load(Server.MapPath("CS_MCSummary.rpt"));
                    rd = UpdConnectionInfo(rd);
                        rd.Refresh();
                        rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                        rd.SetParameterValue("P_FILE_NUMBER", Request.QueryString["p2"]);
                break;

                case 1008:
                        rd.Load(Server.MapPath("MCBS_Summary.rpt"));
                        rd = UpdConnectionInfo(rd);
                        rd.Refresh();
                        rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                break;

                case 1009:
                        rd.Load(Server.MapPath("MCBS_Settlement.rpt"));
                        rd = UpdConnectionInfo(rd);
                        rd.Refresh();
                        rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                        rd.SetParameterValue("P_PRODUCT", Request.QueryString["p2"]);
                        rd.SetParameterValue("P_RC_CODE", Request.QueryString["p3"]);
               break;

               case 1010:
                        rd.Load(Server.MapPath("MADA_MonthlySummary.rpt"));
                        rd = UpdConnectionInfo(rd);
                        rd.Refresh();
                        rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                break;

                case 1011:
                    rd.Load(Server.MapPath("MADA_DGN_Settlement.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_PRD_ID", Request.QueryString["p2"]);
                break;

                case 1012:
                    rd.Load(Server.MapPath("MADA_MS_NetSummary.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_FILE_NUMBER", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_FILE_NAME", Request.QueryString["p3"]);
                    rd.SetParameterValue("P_AMOUNT", Request.QueryString["p4"]);
                break;

                // Summary Report for Visa Billing Monthly for all Card Types
                case 1013:
                    rd.Load(Server.MapPath("CS_CTSummary_M.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_FILE_NUMBER", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_CARD_TYPE", Request.QueryString["p3"]);
                    break;

                // Summary Report for Visa Billing Quarterly for all Card Types
                case 1014:
                    rd.Load(Server.MapPath("CS_CTSummary_Q.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();
                    rd.SetParameterValue("P_DATE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_FILE_NUMBER", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_CARD_TYPE", Request.QueryString["p3"]);
                    break;
                case 1015:
                    rd.Load(Server.MapPath("RptNonMatchRecon_C6.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("P_CURRENT_UID", Session["uid"].ToString());
                    rd.SetParameterValue("P_RC_CODE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_RE_CODE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_From_RECON_DATE", Request.QueryString["p3"]);
                    rd.SetParameterValue("P_To_RECON_DATE", Request.QueryString["p7"]);
                    rd.SetParameterValue("p_tran_type", Request.QueryString["p4"]);
                    rd.SetParameterValue("p_channel", Request.QueryString["p5"]);
                    rd.SetParameterValue("p_event", Request.QueryString["p6"]);
                    rd.SetParameterValue("p_match_result", Request.QueryString["p8"]);
                    break;
                case 1016:
                    rd.Load(Server.MapPath("RptNonMatchTran_C6.rpt"));
                    rd = UpdConnectionInfo(rd);
                    rd.Refresh();

                    rd.SetParameterValue("P_CURRENT_UID", Session["uid"].ToString());
                    rd.SetParameterValue("P_RC_CODE", Request.QueryString["p1"]);
                    rd.SetParameterValue("P_RE_CODE", Request.QueryString["p2"]);
                    rd.SetParameterValue("P_From_RECON_DATE", Request.QueryString["p3"]);
                    rd.SetParameterValue("P_To_RECON_DATE", Request.QueryString["p7"]);
                    rd.SetParameterValue("p_tran_type", Request.QueryString["p4"]);
                    rd.SetParameterValue("p_channel", Request.QueryString["p5"]);
                    rd.SetParameterValue("p_event", Request.QueryString["p6"]);
                break;
        }

            string server = "";
            string serverA= "";
            server = DecryptLibrary.DecryptLibrary.DecryptData(ConfigurationSettings.AppSettings["DBServer"]);
            serverA = DecryptLibrary.DecryptLibrary.DecryptData(ConfigurationSettings.AppSettings["DBServerA"]); //IRFAN_MOD 170102
            string user = DecryptLibrary.DecryptLibrary.DecryptData(ConfigurationSettings.AppSettings["DBUser"]);
            string userA = DecryptLibrary.DecryptLibrary.DecryptData(ConfigurationSettings.AppSettings["DBUserA"]);
            string pass = DecryptLibrary.DecryptLibrary.DecryptData(ConfigurationSettings.AppSettings["DBPass"]);
            string passA = DecryptLibrary.DecryptLibrary.DecryptData(ConfigurationSettings.AppSettings["DBPassA"]);

            //if (Session["mode"].ToString().Equals("l"))
            //{
            //    rd.SetDatabaseLogon(user, pass, server, "");

            //}
            //else
            //{
            //    rd.SetDatabaseLogon(userA, passA, serverA, "");  //IRFAN_MOD //IRFAN_MOD 170102
            //}

            //rd.Database.Tables[0].LogOnInfo.ConnectionInfo.ServerName = server;
            //rd = UpdConnectionInfo(rd);
            //rd.Refresh();
            CrystalReportViewer1.ReportSource = rd;

        
    }

    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void Page_Unload(object sender, EventArgs e)
    {
        rd.Close();
        rd.Dispose();
        CrystalReportViewer1.Dispose();
        GC.Collect();

    }

    public ReportDocument UpdConnectionInfo(ReportDocument rpt)
    {
        ReportDocument crSubreportDocument;
        // string[] strConnection = ConfigurationManager.ConnectionStrings[("ConnectionString")].ConnectionString.Split(new char[] { ';' });

        Database oCRDb = rpt.Database;

        Tables oCRTables = oCRDb.Tables;

        CrystalDecisions.CrystalReports.Engine.Table oCRTable = default(CrystalDecisions.CrystalReports.Engine.Table);

        TableLogOnInfo oCRTableLogonInfo = default(CrystalDecisions.Shared.TableLogOnInfo);

        ConnectionInfo oCRConnectionInfo = new CrystalDecisions.Shared.ConnectionInfo();
        string strDataSoure = DecryptLibrary.DecryptLibrary.DecryptData(ConfigurationSettings.AppSettings["DBServer"]);
        string strUserName = DecryptLibrary.DecryptLibrary.DecryptData(ConfigurationSettings.AppSettings["DBUser"]);
        string strPassword = DecryptLibrary.DecryptLibrary.DecryptData(ConfigurationSettings.AppSettings["DBPass"]);

        oCRConnectionInfo.ServerName = strDataSoure; //"ReconDevDB"; //strConnection[0].Split(new char[] { '=' }).GetValue(1).ToString();
        oCRConnectionInfo.Password = strPassword;// "inma_asr";//strConnection[2].Split(new char[] { '=' }).GetValue(1).ToString();
        oCRConnectionInfo.UserID = strUserName;// "inma_asr"; //strConnection[1].Split(new char[] { '=' }).GetValue(1).ToString();

        //  EjadaLogManagerClass.LogMsg("Database cred decrypted as :<" + strDataSoure + "><" + strUserName + "><" + strPassword + ">",1);


        for (int i = 0; i < oCRTables.Count; i++)
        {
            oCRTable = oCRTables[i];
            oCRTableLogonInfo = oCRTable.LogOnInfo;
            oCRTableLogonInfo.ConnectionInfo = oCRConnectionInfo;
            oCRTable.ApplyLogOnInfo(oCRTableLogonInfo);
            if (oCRTable.TestConnectivity() && oCRTable.Location.Length >= 1)
            //' If there is a "." in the location then remove the
            // ' beginning of the fully qualified location.
            //' Example "dbo.northwind.customers" would become
            //' "customers".
            {
                //oCRTable.Location = oCRTable.Location.Substring(oCRTable.Location.LastIndexOf(".") + 1);
            }
        }

        for (int i = 0; i < rpt.Subreports.Count; i++)
        {

            {
                //  crSubreportObject = (SubreportObject);
                crSubreportDocument = rpt.OpenSubreport(rpt.Subreports[i].Name);
                oCRDb = crSubreportDocument.Database;
                oCRTables = oCRDb.Tables;
                foreach (CrystalDecisions.CrystalReports.Engine.Table aTable in oCRTables)
                {
                    oCRTableLogonInfo = aTable.LogOnInfo;
                    oCRTableLogonInfo.ConnectionInfo = oCRConnectionInfo;
                    aTable.ApplyLogOnInfo(oCRTableLogonInfo);
                    if (aTable.TestConnectivity() && aTable.Location.Length >= 1)
                    //' If there is a "." in the location then remove the
                    // ' beginning of the fully qualified location.
                    //' Example "dbo.northwind.customers" would become
                    //' "customers".
                    {
                        //aTable.Location = aTable.Location.Substring(aTable.Location.LastIndexOf(".") + 1);
                    }
                }
            }
        }
        //  }

        rpt.Refresh();
        return rpt;
    }
}